# $Revision: 1.6 $, $Date: 2004/11/01 23:01:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	Page
Summary:	Data::Page - help when paging through sets of results
Summary(pl):	Data::Page - pomoc przy stronicowaniu zbiorw wynikw
Name:		perl-Data-Page
Version:	2.00
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7af91f13754fb256742b8d9d627bbd16
%if %{with tests}
BuildRequires:	perl-Class-Accessor-Chained
BuildRequires:	perl-Test-Exception
%endif
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When searching through large amounts of data, it is often the case
that a result set is returned that is larger than we want to display
on one page.  This results in wanting to page through various pages of
data. The maths behind this is unfortunately fiddly, hence this
module.

The main concept is that you pass in the number of total entries, the
number of entries per page, and the current page number. You can then
call methods to find out how many pages of information there are, and
what number the first and last entries on the current page really are.

%description -l pl
Przy przeszukiwaniu duych iloci danych zwykle zwracany zbir wynikw
jest wikszy ni chcielibymy wywietli na jednej stronie. Powoduje
to ch podzielenia danych na strony. Obliczenia przy tym s niestety
nietrywialne i std ten modu.

Gwn ide jest to, e przekazuje si liczb wszystkich elementw,
liczb elementw na stronie i aktualny numer strony. Mona wtedy
wywoywa metody, aby okreli liczb stron z informacjami oraz numer
pierwszego i ostatniego elementu na aktualnej stronie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT

./Build
%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Data/Page.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Page.spec,v $
Revision 1.6  2004/11/01 23:01:00  adamg
- updated to 2.00
- performing tests BR: perl-Class-Accessor-Chained and perl-Test-Exception

Revision 1.5  2004/08/08 18:00:33  adamg
- updated to 1.03

Revision 1.4  2004/07/12 17:21:59  adamg
- updated to 1.02

Revision 1.3  2004/04/19 22:22:13  ankry
- license/description fixes

Revision 1.2  2004/04/13 19:32:33  qboosh
- pl

Revision 1.1  2004/04/13 11:32:16  migo
- initial revision
